aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorEttore Perazzoli <ettore@src.gnome.org>2002-11-02 16:25:03 +0800
committerEttore Perazzoli <ettore@src.gnome.org>2002-11-02 16:25:03 +0800
commit9c73777f2268b5bf2622f893e2a3ba7d0f720572 (patch)
treef81b79f19b87f84b4429d329b3fc0f9ff7946060 /autogen.sh
parent236c15d106b4e740d4e3996e0649334ca8e13876 (diff)
downloadgsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar.gz
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar.bz2
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar.lz
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar.xz
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.tar.zst
gsoc2013-evolution-9c73777f2268b5bf2622f893e2a3ba7d0f720572.zip
First big sync of my GNOME 2 porting work (incomplete, and still
pretty broken). Weeeeee! svn path=/trunk/; revision=18503
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index eec4b5f56d..8d96b80beb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,24 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="evolution"
+PKG_NAME="Evolution"
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/ChangeLog \
+ && test -d $srcdir/shell) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
-. $srcdir/macros/autogen.sh
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh